# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pyvcs
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-module-pyvcs
Version:        0.2.0
Release:        alt1_4
Summary:        A lightweight abstraction layer over multiple VCSs

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/pyvcs
Source0:        http://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

Requires:       mercurial
Requires:       bzr
Source44: import.info


%description
pyvcs is a minimal VCS abstraction layer for Python.  It's goals are
to provide as much functionality as is necessary, and no further.  It
doesn't try to abstract every layer or feature of a VCS, just what's
necessary to build a code browsing UI.


%prep
%setup -n %{oldname}-%{version} -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

 
%files
%doc LICENSE.txt README.txt
%{python_sitelibdir_noarch}/%{oldname}/
%{python_sitelibdir_noarch}/%{oldname}*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_4
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_3
- initial fc import

